com.sun.jna.platform.unix.aix

## Class Perfstat.perfstat_protocol_t.AnonymousStructIPv6

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.unix.aix.Perfstat.perfstat_protocol_t.AnonymousStructIPv6

Enclosing class:
  Perfstat.perfstat_protocol_t

    @Structure.FieldOrder(value={"ipackets","ierrors","iqueueoverflow","opackets","oerrors"})
    public static class Perfstat.perfstat_protocol_t.AnonymousStructIPv6
    extends Structure

### Nested Class Summary

### Nested classes/interfaces inherited from class com.sun.jna.Structure

`Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

### Field Summary

Fields
`long` `ierrors`
`long` `ipackets`
`long` `iqueueoverflow`
`long` `oerrors`
`long` `opackets`

### Fields inherited from class com.sun.jna.Structure

`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

### Constructor Summary

Constructors
Constructor and Description
`AnonymousStructIPv6()`

### Method Summary

### Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### ipackets

    public long ipackets

#### ierrors

    public long ierrors

#### iqueueoverflow

    public long iqueueoverflow

#### opackets

    public long opackets

#### oerrors

    public long oerrors

### Constructor Detail

#### AnonymousStructIPv6

    public AnonymousStructIPv6()

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.